Cyberduck Mountain Duck CLI

#7283 closed defect (fixed)

S3 Glacier Storage Class Display

Reported by: chrish Owned by: dkocher
Priority: normal Milestone: 4.4
Component: s3 Version: 4.3.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.8

Description

Thanks for the work on #6830 - Bucket Lifecycle Configuration

Following from this, I note that (using 4.3.2 11068 ) when a S3 item is in Glacier, a) the Storage Class drop down shows "Unknown" and b) an attempt to change the drop down value (to say regular S3 storage) generates the error:

"S3 Error Message. Forbidden. Operation is not valid for the source object's storage class."

Proposals:

1/ Items with storage class = Glacier should be shown as such via ListBucketResult.Contents.StorageClass (or whatever)

2/ For StorageClass=Glacier, the drop down should be replaced with a text display or otherwise locked as Glacier restores are currently out of scope.

Clearly, functionality that actually implements a Glacier Object Restore would be a nice-to-have but also a much larger and complex undertaking. Also as the whole point of Glacier restores is that they are rare/infrequent, using the AWS site is probably good enough.

The proposals above are therefore merely to clarify existing functionality rather than to add to it.

Attachments (3)

cd_glacier_1.png (37.2 KB) - added by chrish on Jun 10, 2013 at 7:28:36 AM.
cd_glacier_2.png (16.6 KB) - added by chrish on Jun 10, 2013 at 7:28:56 AM.
cd_glacier_3.png (16.5 KB) - added by chrish on Jun 10, 2013 at 7:29:14 AM.

Download all attachments as: .zip

Change History (8)

comment:1 Changed on Jun 5, 2013 at 7:44:44 PM by dkocher

  • Milestone set to 4.3.2
  • Status changed from new to assigned

comment:2 Changed on Jun 5, 2013 at 8:08:12 PM by dkocher

Added display of Glacier option in r11089. Localization in r11090.

comment:3 Changed on Jun 7, 2013 at 1:04:57 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Changed on Jun 10, 2013 at 7:28:36 AM by chrish

Changed on Jun 10, 2013 at 7:28:56 AM by chrish

Changed on Jun 10, 2013 at 7:29:14 AM by chrish

comment:4 Changed on Jun 10, 2013 at 7:32:34 AM by chrish

  • Resolution fixed deleted
  • Status changed from closed to reopened

Although the "Glacier" option now appears in the dropdown (v4.3.2 11107) this value is not correctly assigned to objects that have storageClass = GLACIER.

Attaching screenshots of the same object via a) Cyberduck, b) S3 Management Console and c) REST API output (curl/php). Ticket reopened.

comment:5 Changed on Jun 29, 2013 at 8:50:28 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r11544.

Note: See TracTickets for help on using tickets.
swiss made software